
package edu.upvehu.mummec;

import java.io.IOException;
import java.sql.*;
import java.util.Locale;


public class Main {


    static Connection con;
    static {
        try {
            con=DriverManager.getConnection("jdbc:mysql://localhost:3306/actaspv","root","chicle");
        } catch (SQLException ex) {
            ex.printStackTrace();
        }
    }

    public static void main(String[] args) throws IOException, SQLException {
        Locale.setDefault(Locale.UK);
        for (String filename : new String[]{"20171201", "20171211", "20171214", "20171215"}) {
            PVFile f = new PVFile("http://gtts.ehu.es/German/Docencia/assets/"+filename+".txt");
            con.createStatement().executeUpdate(
                    String.format(
                            "insert into estadisticas (id, numPalabras, validas, media,desviacionTipica) values (%s, %d, %d, %.3f, %.3f)",
                            filename, f.getNumeroDePalabras(), f.getNumeroDePalabrasValidas(), f.media(), f.desviacion())
                    );
        }
    }

}
